<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class StudyHistoryRequest extends FormRequest
{
    public function rules(): array
    {
        return [
            'study_id' => ['required', 'exists:studies'],
            'user_id' => ['required', 'exists:users'],
            'clinical_history' => ['nullable'],
            'surgical_history' => ['nullable'],
            'lab_results' => ['nullable'],
            'clinical_diagnosis' => ['nullable'],
        ];
    }

    public function authorize(): bool
    {
        return true;
    }
}
