<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Relations\BelongsTo;

class StudyHistory extends BaseModel
{
    public function study(): BelongsTo
    {
        return $this->belongsTo(Study::class);
    }

    public function user(): BelongsTo
    {
        return $this->belongsTo(User::class);
    }
}
