<?php

use App\Http\Controllers\PacsController;
use Illuminate\Support\Facades\Route;

Route::get('/', function () {
    return view('welcome');
});

Route::middleware([
    'auth:sanctum',
    config('jetstream.auth_session'),
    'verified',
])->group(function () {
    Route::get('/dashboard', function () {
        return view('dashboard');
    })->name('dashboard');

    Route::get('/studies', [PacsController::class, 'index'])->name('studies.index');
    Route::get('/studies/{id}', [PacsController::class, 'show'])->name('studies.show');
    Route::get('/cron', [PacsController::class, 'import'])->name('studies.import');

});
